Bug 125280 - Include per-list links to Google search for mailing list archives
Include per-list links to Google search for mailing list archives
Status: ASSIGNED
Product: Fedora Infrastructure
Classification: Retired
Component: Account System (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Zhou
Web Development
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 09:44 EDT by David L.
Modified: 2012-01-04 16:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:42:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add Google Search to list archive table of contents (915 bytes, patch)
2010-05-28 20:18 EDT, Todd Zullinger
no flags Details | Diff

  None (edit)
Description David L. 2004-06-04 09:44:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I just searched the fedora-list for the word samba and the most recent
thing that was returned was from 2/23/04.  I know there are mort
recent messages with the word samba.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Search for samba in fedora-list
2. sort by last modified date
3. observe no recent messages
    

Actual Results:  didn't see messages re: samba posted yesterday.

Expected Results:  to see messages re: samba posted yesterday.

Additional info:

Last time I checked fedora-test-list had the same problem.
Comment 1 Luke Meyer 2004-06-04 13:44:23 EDT
i've asked soc to look into this; but they're going to wait until
after updating the search engine.  RT# 45556
Comment 2 David L. 2005-03-06 11:34:51 EST
When are they updating the search engine?  The searches still don't seem to
return results after February 2004!
 
Comment 3 Alex Lancaster 2005-09-21 06:27:29 EDT
Looks like the search engine function has been removed completely from the
mailing list archive pages.  It now looks like a vanilla mailman installation.

Compare the Google cached version:

http://64.233.161.104/search?q=cache:5TEGm7BltPgJ:www.redhat.com/archives/fedora-devel-list/2004-May/msg00908.html+redhat.com+archives&hl=en

against the current version:

http://www.redhat.com/archives/fedora-devel-list/2004-May/msg00908.html
Comment 4 Jesse Keating 2007-11-15 11:42:52 EST
I'm closing this long old ticket.  Best to just use google site specific searches.
Comment 5 Alex Lancaster 2007-11-23 06:32:30 EST
(In reply to comment #4)
> I'm closing this long old ticket.  Best to just use google site specific searches.

Perhaps advice on how to do this could be added to:

http://www.redhat.com/archives/fedora-devel-list/

e.g. search "site: www.redhat.com/archives/fedora-devel-list foobar" on Google,
or better yet, create mailing-list specific links to Google so that the search
can be pre-filled.
Comment 6 Todd Zullinger 2010-05-28 20:18:36 EDT
Created attachment 417778 [details]
Add Google Search to list archive table of contents

Now that we host our own mailman instance, we can modify the default archive templates.  We could borrow what the Gnome.org lists use for example, adding a simple Google search form to /usr/lib/mailman/templates/en/archtocnombox.html.  Attached is a diff against that file on mailman-2.1.9-4.el5.

There are probably a few other templates we could add a similar search form to as well.  But this should demonstrate the basic idea.

One thing to note is that the new template would not take effect until a list received a new post.  For active lists this is not a problem.  For lists that are not used anymore we would have to either a) re-create the archive (which breaks links to the old archive URLs); b) manually update the generated html; or c) leave those lists unchanged.  I'd think b or c would both be acceptable, with c taking literally no effort. :)

Note You need to log in before you can comment on or make changes to this bug.